Subject: Re: [PATCH] doc: hint about GIT_DEBUGGER

From: Emily Shaffer <[email-masked]>
Date: Mon, 20 May 2019 13:38:43 -0700

[snip]

> > + - You can launch gdb around your program using the shorthand GIT_DEBUGGER.
> > +   Run `GIT_DEBUGGER=1 ./bin-wrappers/git foo` to simply use gdb as is, or
> > +   run `GIT_DEBUGGER=debugger-binary some-args ./bin-wrappers/git foo` to
> 
> Missing some quotes around debugger-binary and some-args:
> +   run `GIT_DEBUGGER="debugger-binary some-args" ./bin-wrappers/git foo` to
> 
> Also, one thing I always wonder about with command documentation like
> this is whether people will understand that "debugger-binary",
> "some-args", and "foo" are just placeholders rather than literal text
> -- and that everything else is literal text and not meant to be
> placeholders.  Does it make since to include a couple examples, or
> perhaps modify the text somehow to avoid confusion between
> placeholders and literals, or maybe just tell me I overthinking this?
> (I've been bit by similar problems in other contexts, so I'm just
> flagging it for you to consider).

It's a good point. I like to use placeholders that don't sound like a
real command (and failed a little here), for example,
`GIT_DEBUGGER=my-cool-debugger some-various-args`. It can be a challenge
to choose a placeholder that sounds fake but also doesn't sound too
informal (the above feels informal to me). I think the best way is to
show an example, that's a good idea. I'll come up with one and send
another round this week.

Thanks a bunch for having a look.

 - Emily

> Elijah